﻿using System;

namespace LeapYearCalculator
{
    class Program
    {
        static void Main()
        {
            Console.WriteLine("iNetTutor.com");
            Console.WriteLine("Leap Year Calculator");

            // Prompt user to enter a year
            Console.Write("Enter a year: ");
            if (int.TryParse(Console.ReadLine(), out int year))
            {
                // Check if the entered year is a leap year
                if (IsLeapYear(year))
                {
                    Console.WriteLine($"{year} is a leap year!");
                }
                else
                {
                    Console.WriteLine($"{year} is not a leap year.");
                }
            }
            else
            {
                Console.WriteLine("Invalid input. Please enter a valid year.");
            }

            Console.ReadKey();
        }

        // Method to check if a year is a leap year
        static bool IsLeapYear(int year)
        {
            // Leap year conditions:
            // 1. If the year is divisible by 4
            // 2. If the year is not divisible by 100, unless it is divisible by 400
            return (year % 4 == 0 && (year % 100 != 0 || year % 400 == 0));
        }
    }
}